QJournalProtocolProtos.PersistedRecoveryPaxosDataOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, interface: PersistedRecoveryPaxosDataOrBuilder

Package org.apache.hadoop.hdfs.qjournal.protocol

# Interface QJournalProtocolProtos.PersistedRecoveryPaxosDataOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `QJournalProtocolProtos.PersistedRecoveryPaxosData`, `QJournalProtocolProtos.PersistedRecoveryPaxosData.Builder`

Enclosing class:
  QJournalProtocolProtos

public static interface QJournalProtocolProtos.PersistedRecoveryPaxosDataOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAcceptedInEpoch()`
  `required uint64 acceptedInEpoch = 2;`
  `QJournalProtocolProtos.SegmentStateProto`
  `getSegmentState()`
  `required .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
  `QJournalProtocolProtos.SegmentStateProtoOrBuilder`
  `getSegmentStateOrBuilder()`
  `required .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
  `boolean`
  `hasAcceptedInEpoch()`
  `required uint64 acceptedInEpoch = 2;`
  `boolean`
  `hasSegmentState()`
  `required .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasSegmentState

    boolean hasSegmentState()
    `required .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
    Returns:
      Whether the segmentState field is set.

  - ### getSegmentState

    QJournalProtocolProtos.SegmentStateProto getSegmentState()
    `required .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`
    Returns:
      The segmentState.

  - ### getSegmentStateOrBuilder

    QJournalProtocolProtos.SegmentStateProtoOrBuilder getSegmentStateOrBuilder()
    `required .hadoop.hdfs.qjournal.SegmentStateProto segmentState = 1;`

  - ### hasAcceptedInEpoch

    boolean hasAcceptedInEpoch()
    `required uint64 acceptedInEpoch = 2;`
    Returns:
      Whether the acceptedInEpoch field is set.

  - ### getAcceptedInEpoch

    long getAcceptedInEpoch()
    `required uint64 acceptedInEpoch = 2;`
    Returns:
      The acceptedInEpoch.